List IPs
GET
/tenant/{tenantId}/ips
const url = 'https://api.exolink.cloud/tenant/example/ips';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.exolink.cloud/tenant/example/ips \ --header 'Authorization: Bearer <token>'Get IP whitelist for the tenant
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”tenantId
required
string
Tenant domain prefix
Responses
Section titled “Responses”List of whitelisted IPs
Media typeapplication/json
Array<object>
IP whitelist entry
object
id
IP entry ID
integer
tenantId
Tenant ID
integer
ip
IP address in CIDR notation
string
Example
[ { "ip": "203.0.113.0/24" }]Missing, invalid or expired credentials
Media typeapplication/json
Error response. Some rejections carry only message.
object
message
required
Error message
string
errorCode
Error code
string
details
Failed validations, for requests checked against a schema
Array<object>
object
path
Path of the invalid field
string
message
string
code
string
Example
{ "message": "Not authorized", "errorCode": "ERR_API_NOT_AUTHORIZED"}The caller may not perform this action
Media typeapplication/json
Error response. Some rejections carry only message.
object
message
required
Error message
string
errorCode
Error code
string
details
Failed validations, for requests checked against a schema
Array<object>
object
path
Path of the invalid field
string
message
string
code
string
Example
{ "message": "Forbidden", "errorCode": "ERR_API_FORBIDDEN"}